/**
 * bash 选项卡切换组件
 */
import { FC } from 'react';
import { type Language } from 'prism-react-renderer';
import type { ThemeName } from '../../common/ThemeSwitch';
export interface TabItemsType {
    key?: string;
    children?: string | undefined;
    label?: string;
    iconSrc?: string;
    iconRender?: FC<{
        theme: ThemeName[];
    }>;
    lang?: Language;
}
interface BashTabsProps {
    /** tab 配置项 */
    tabItems?: TabItemsType[];
    /** 默认 tab key */
    defaultActiveKey?: string;
}
declare const BashTabs: FC<BashTabsProps>;
export default BashTabs;
