import { useRouteMeta, useIntl, FormattedMessage } from 'dumi';
import { EditOutlined } from '@ant-design/icons';
import useAdditionalThemeConfig from "../hooks/useAdditionalThemeConfig";
import { jsx as ___EmotionJSX } from "@emotion/react";
var EditLink = function EditLink() {
  var _useRouteMeta = useRouteMeta(),
    frontmatter = _useRouteMeta.frontmatter;
  var _useAdditionalThemeCo = useAdditionalThemeConfig(),
    editLink = _useAdditionalThemeCo.editLink;
  var intl = useIntl();
  var showEditLink = editLink && frontmatter.filename;
  return showEditLink ? ___EmotionJSX("div", null, ___EmotionJSX("a", {
    target: "_blank",
    href: "".concat(intl.formatMessage({
      id: '$internal.edit.link'
    }, {
      filename: frontmatter.filename
    })),
    rel: "noreferrer"
  }, ___EmotionJSX(EditOutlined, null), ___EmotionJSX(FormattedMessage, {
    id: "app.footer.actions.edit"
  }))) : null;
};
export default EditLink;