import { useLocale as useDumiLocale } from 'dumi';
export default function useLocale(localeMap) {
  var _useDumiLocale = useDumiLocale(),
    id = _useDumiLocale.id;
  var localeType = id === 'zh-CN' ? 'cn' : 'en';
  return [localeMap === null || localeMap === void 0 ? void 0 : localeMap[localeType], localeType];
}