import * as React from 'react';
export interface GroupMaskProps {
    style?: React.CSSProperties;
    children?: React.ReactNode;
    disabled?: boolean;
}
export declare function GroupMask({ children, style, disabled }: GroupMaskProps): import("@emotion/react/types/jsx-namespace").EmotionJSX.Element;
export interface GroupProps {
    id?: string;
    title?: React.ReactNode;
    titleColor?: string;
    description?: React.ReactNode;
    children?: React.ReactNode;
    background?: string;
    /** 是否不使用两侧 margin */
    collapse?: boolean;
    decoration?: React.ReactNode;
}
export default function Group(props: GroupProps): import("@emotion/react/types/jsx-namespace").EmotionJSX.Element;
