import type { GlobalToken } from 'antd';
import type { SiteContextProps } from '../slots/SiteContext';
interface IUseSiteToken {
    token: GlobalToken & {
        headerHeight: number;
        menuItemBorder: number;
        mobileMaxWidth: number;
        siteMarkdownCodeBg: string;
        antCls: string;
        iconCls: string;
        marginFarXS: number;
        marginFarSM: number;
        marginFar: number;
        codeFamily: string;
        contentMarginTop: number;
        anchorTop: number;
        boxShadowCard: string;
        siteTheme: SiteContextProps['theme'];
    };
    siteCls: string;
}
declare const useSiteToken: () => IUseSiteToken;
export default useSiteToken;
