export interface LocaleMap<Key extends string> {
    cn: Record<Key, string>;
    en: Record<Key, string>;
}
export default function useLocale<Key extends string>(localeMap?: LocaleMap<Key>): [Record<Key, string>, 'cn' | 'en'];
