import Footer from './slots/Footer';
import type { IAllThemeConfig } from './types';
import Loading from './common/Loading';
import HomeBaseLayout from './builtins/HomeBaseLayout';
/**
 * @description provider declaration of config files
 * @param {ThemeConfig} config theme config
 * @returns {ThemeConfig}
 */
export declare function defineThemeConfig(config: IAllThemeConfig): IAllThemeConfig;
export { Loading, Footer, HomeBaseLayout };
