import React, { Suspense } from 'react';
import { Skeleton } from 'antd';
import { InView } from 'react-intersection-observer';
import { jsx as ___EmotionJSX } from "@emotion/react";
var InViewSuspense = function InViewSuspense(_ref) {
  var children = _ref.children,
    _ref$fallback = _ref.fallback,
    fallback = _ref$fallback === void 0 ? ___EmotionJSX(Skeleton.Input, {
      active: true,
      size: "small"
    }) : _ref$fallback,
    _ref$delay = _ref.delay,
    delay = _ref$delay === void 0 ? 200 : _ref$delay;
  return ___EmotionJSX(InView, {
    triggerOnce: true,
    delay: delay
  }, function (_ref2) {
    var inView = _ref2.inView,
      ref = _ref2.ref;
    return ___EmotionJSX("div", {
      ref: ref
    }, ___EmotionJSX(Suspense, {
      fallback: fallback
    }, inView ? children : ___EmotionJSX("span", null)));
  });
};
export default InViewSuspense;