import { HomeOutlined } from '@ant-design/icons';
import { Button, Result } from 'antd';
import { FormattedMessage, Link } from 'dumi';
import React from 'react';
import { jsx as ___EmotionJSX } from "@emotion/react";
var NotFoundPage = function NotFoundPage() {
  return ___EmotionJSX("div", {
    id: "page-404"
  }, ___EmotionJSX("section", null, ___EmotionJSX(Result, {
    status: "404",
    title: "404",
    subTitle: ___EmotionJSX(FormattedMessage, {
      id: "app.not-found.subTitle"
    }),
    extra: ___EmotionJSX(Link, {
      to: "/"
    }, ___EmotionJSX(Button, {
      type: "primary",
      icon: ___EmotionJSX(HomeOutlined, null)
    }, ' ', ___EmotionJSX(FormattedMessage, {
      id: "app.not-found.back-home"
    })))
  })));
};
export default NotFoundPage;