/// <reference types="react" />
import type { DirectionType } from 'antd/lib/config-provider';
import type { ThemeName } from '../common/ThemeSwitch';
export interface SiteContextProps {
    isMobile: boolean;
    direction: DirectionType;
    theme: ThemeName[];
    updateSiteConfig: (props: Partial<SiteContextProps>) => void;
}
declare const SiteContext: import("react").Context<SiteContextProps>;
export default SiteContext;
