import { useSiteData } from 'dumi';
import type { ISidebarGroup } from 'dumi/dist/client/theme-api/types';
declare type ILocaleItem = ReturnType<typeof useSiteData>['locales'][0];
export declare function getTargetLocalePath({ pathname, current, target }: {
    pathname?: string;
    current: ILocaleItem;
    target: ILocaleItem;
}): string;
export declare const removeTitleCode: (title?: string) => string;
export declare const isExternalLinks: (link?: string) => boolean;
export declare const handleFullSidebarData: (fullSidebarData: Record<string, ISidebarGroup[]>) => Record<string, ISidebarGroup[]>;
export {};
